libauthen-passphrase-perl_0.008-1_all.deb


Advertisement

Description

libauthen-passphrase-perl - Perl module encapsulating hashed passwords/passphrases as objects

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libauthen-passphrase-perl
Package version: 0.008
Package release: 1
Package architecture: all
Package type: deb
Installed size: 261 B
Download size: 107.75 KB
Official Mirror: ftp.br.debian.org
Authen::Passphrase is the base class for a system of objects that encapsulate passphrases. An object of this type is a passphrase recogniser: its job is to recognise whether an offered passphrase is the right one. For security, such passphrase recognisers usually do not themselves know the passphrase they are looking for; they can merely recognise it when they see it. There are many schemes in use to achieve this effect, and the intent of this class is to provide a consistent interface to them all, hiding the details. This package contains implementations of several specific passphrase schemes in addition to the base class.

Alternatives

    Download

    Source package: libauthen-passphrase-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libauthen-passphrase-perl deb package:
      # sudo apt-get install libauthen-passphrase-perl

    Files

    • /usr/share/doc/libauthen-passphrase-perl/changelog.Debian.gz
    • /usr/share/doc/libauthen-passphrase-perl/changelog.gz
    • /usr/share/doc/libauthen-passphrase-perl/copyright
    • /usr/share/man/man3/Authen::Passphrase.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::AcceptAll.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::BigCrypt.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::BlowfishCrypt.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::Clear.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::Crypt16.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::DESCrypt.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::EggdropBlowfish.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::LANManager.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::LANManagerHalf.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::MD5Crypt.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::MySQL323.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::MySQL41.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::NTHash.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::NetscapeMail.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::PHPass.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::RejectAll.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::SaltedDigest.3pm.gz
    • /usr/share/man/man3/Authen::Passphrase::VMSPurdy.3pm.gz
    • /usr/share/perl5/Authen/Passphrase.pm
    • /usr/share/perl5/Authen/Passphrase/AcceptAll.pm
    • /usr/share/perl5/Authen/Passphrase/BigCrypt.pm
    • /usr/share/perl5/Authen/Passphrase/BlowfishCrypt.pm
    • /usr/share/perl5/Authen/Passphrase/Clear.pm
    • /usr/share/perl5/Authen/Passphrase/Crypt16.pm
    • /usr/share/perl5/Authen/Passphrase/DESCrypt.pm
    • /usr/share/perl5/Authen/Passphrase/EggdropBlowfish.pm
    • /usr/share/perl5/Authen/Passphrase/LANManager.pm
    • /usr/share/perl5/Authen/Passphrase/LANManagerHalf.pm
    • /usr/share/perl5/Authen/Passphrase/MD5Crypt.pm
    • /usr/share/perl5/Authen/Passphrase/MySQL323.pm
    • /usr/share/perl5/Authen/Passphrase/MySQL41.pm
    • /usr/share/perl5/Authen/Passphrase/NTHash.pm
    • /usr/share/perl5/Authen/Passphrase/NetscapeMail.pm
    • /usr/share/perl5/Authen/Passphrase/PHPass.pm
    • /usr/share/perl5/Authen/Passphrase/RejectAll.pm
    • /usr/share/perl5/Authen/Passphrase/SaltedDigest.pm
    • /usr/share/perl5/Authen/Passphrase/VMSPurdy.pm

    Changelog

    2012-02-07 - Salvatore Bonaccorso <carnil@debian.org> libauthen-passphrase-perl (0.008-1) unstable; urgency=low * Team upload. [ Ansgar Burchardt ] * Remove dependency on libdigest-perl (provided by perl-modules). [ Salvatore Bonaccorso ] * Imported Upstream version 0.008 * Bump dependency on libmodule-runtime-perl. Update versioned (Build-)Depends(-Indep) on libmodule-runtime-perl to (>= 0.011) as required by upstream. * Simplify dependencies already satisfied in Squeeze. Make versioned (Build-)Depends(-Indep) on packages with versioned depends already satisfied in Squeeze unversioned dependencies as Lenny (oldstable) is now gone. * Drop alternate dependency perl (>= 5.10.1) | libparent-perl. The versions are already satisfied in Squeeze and Lenny (oldstable) is now archived. * Update copyright years for upstream files * Drop use-Digest-SHA.patch patch. Patch is now applied upstream.

    2011-08-07 - Salvatore Bonaccorso <carnil@debian.org> libauthen-passphrase-perl (0.007-2) unstable; urgency=low * Team upload. [ Ansgar Burchardt ] * Email change: Ansgar Burchardt -> ansgar@debian.org * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: - Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. - Refer to Debian systems in general instead of only Debian GNU/Linux systems. * debian/rules: Remove use of --buildsystem=perl_build. * Bump Debhelper compat level to 8. Use Build.PL by default. * debian/control: - Bump Build-Depends on debhelper to (>= 8). - Bump Depends on libcrypt-eksblowfish-perl to (>= 0.008). - Make versioned (Build-)Depends(-Indep) on libcrypt-mysql-perl unversioned as the version is already satisfied in oldstable. - Make versioned (Build-)Depends(-Indep) on libcrypt-passwdmd5-perl unversioned as the version is already satisfied in oldstable. - Make versioned (Build-)Depends(-Indep) on libcrypt-unixcrypt-xs-perl unversioned as the version is already satisfied in oldstable. - Make versioned (Build-)Depends(-Indep) on libdigest-md4-perl unversioned as the version is already satisfied in oldstable. - Make versioned Depends on libdigest-perl unversioned as the version is already satisfied in oldstable. - Drop (Build-)Depends(-Indep) on libdigest-sha1-perl. * debian/patches: Add use-Digest-SHA.patch patch to use Digest::SHA in perl core instead of Digest::SHA1 via libdigest-sha1-perl. * Bump Standards-Version to 3.9.2 (no changes needed).

    2010-07-31 - Ansgar Burchardt <ansgar@43-1.org> libauthen-passphrase-perl (0.007-1) unstable; urgency=low [ Ansgar Burchardt ] * New upstream release. * Use source format 3.0 (quilt). * Use Build.PL. * No longer install README. * Remove build-dep on perl (>= 5.10.0) | libmodule-build-perl. Stable has perl 5.10. * Remove (build-)dep on libcrypt-blowfish-perl. * Bump (build-)dep on libcrypt-eksblowfish-perl to >= 0.008. * Bump (build-)dep on libmodule-runtime-perl to >= 0.006. * Add build-dep on libtest-pod-coverage-perl, libtest-pod-perl. * Mention module name in description. * debian/copyright: Formatting changes for current DEP-5 proposal, add years of copyright for upstream source. * Bump Standards-Version to 3.9.1. * Add myself to Uploaders. [ Franck Joncourt ] * Added (build-)dependency on perl (>= 5.10.1) | libparent-perl

    2010-04-24 - Ivan Kohler <ivan-debian@420.am> libauthen-passphrase-perl (0.006-2) unstable; urgency=low * Take over for the Debian Perl Group * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Changed: Maintainer set to Debian Perl Group <pkg-perl- maintainers@lists.alioth.debian.org> (was: Ivan Kohler <ivan- debian@420.am>); Ivan Kohler <ivan-debian@420.am> moved to Uploaders. * debian/watch: use dist-based URL. * dh-make-perl refresh, dh7 * Standards-Version 3.8.4

    Advertisement
    Advertisement